/*
 * $Id: ColorReceiver.java,v 1.1 2007/10/19 07:24:21 nito Exp $
 *
 * Copyright (c) 1999 Norihiro Itoh, All rights reserved.
 *
 * This source file is a part of Umlaut UML editor.
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the Umlaut distribution.
 */
package jp.co.argo21.nautica.commons.swing;

import java.awt.Color;

/**
 * 色を受取り可能なインタフェースを提供します。
 * 
 * @author 伊藤宣博
 * @version $Revision: 1.1 $, $Date: 2007/10/19 07:24:21 $
 * @since JDK1.2
 */
public interface ColorReceiver
{
	/**
	 * 色を返す。
	 * 
	 */
	public Color getColor();

	/**
	 * 色を受け取ります。
	 * 
	 * @param c
	 *            色
	 */
	public void setColor(Color c);
}
